Loading...
Searching...
No Matches
EST_TValuedEnumI< ENUM, VAL, INFO > Class Template Reference

## Public Member Functions

| EST_TValuedEnumI (EST_TValuedEnumDefinition< ENUM, VAL, INFO > defs[])
| EST_TValuedEnumI (EST_TValuedEnumDefinition< const char *, VAL, INFO > defs[], ENUM(*conv)(const char *))
int | n (void) const
ENUM | token (VAL value) const
ENUM | token (int n) const
ENUM | nth_token (int n) const
VAL | value (ENUM token, int n=0) const
INFO & | info (ENUM token) const
ENUM | unknown_enum (void) const
VAL | unknown_value (void) const
int | valid (ENUM token) const

## Protected Member Functions

virtual int | eq_vals (VAL v1, VAL v2) const
void | initialise (const void *defs)
void | initialise (const void *defs, ENUM(*conv)(const char *))
void | initialise (void)
void | initialise (ENUM unknown_e, VAL unknown_v)

## Protected Attributes

int | ndefinitions
ENUM | p_unknown_enum
VAL | p_unknown_value
EST_TValuedEnumDefinition< ENUM, VAL, INFO > * | definitions

## Detailed Description

template<class ENUM, class VAL, class INFO>
class EST_TValuedEnumI< ENUM, VAL, INFO >

Definition at line 80 of file EST_TNamedEnum.h.

## Constructor & Destructor Documentation

## EST_TValuedEnumI() [1/3]

template<class ENUM, class VAL, class INFO>

EST_TValuedEnumI< ENUM, VAL, INFO >::EST_TValuedEnumI | ( | void |  | ) |

inline protected

Definition at line 97 of file EST_TNamedEnum.h.

## EST_TValuedEnumI() [2/3]

template<class ENUM, class VAL, class INFO>

EST_TValuedEnumI< ENUM, VAL, INFO >::EST_TValuedEnumI | ( | EST_TValuedEnumDefinition< ENUM, VAL, INFO > | defs[] | ) |

inline

Definition at line 100 of file EST_TNamedEnum.h.

## EST_TValuedEnumI() [3/3]

template<class ENUM, class VAL, class INFO>

EST_TValuedEnumI< ENUM, VAL, INFO >::EST_TValuedEnumI | ( | EST_TValuedEnumDefinition< const char *, VAL, INFO > | defs[],
|  | ENUM(* | conv )(const char *) )

inline

Definition at line 102 of file EST_TNamedEnum.h.

## ~EST_TValuedEnumI()

template<class ENUM, class VAL, class INFO>

EST_TValuedEnumI< ENUM, VAL, INFO >::~EST_TValuedEnumI | ( | void |  | ) |

virtual

Definition at line 111 of file EST_TNamedEnum.cc.

## Member Function Documentation

## eq_vals()

template<class ENUM, class VAL, class INFO>

virtual int EST_TValuedEnumI< ENUM, VAL, INFO >::eq_vals | ( | VAL | v1,
|  | VAL | v2 ) const

inline protected virtual

Definition at line 88 of file EST_TNamedEnum.h.

## initialise() [1/4]

template<class ENUM, class VAL, class INFO>

void EST_TValuedEnumI< ENUM, VAL, INFO >::initialise | ( | const void * | defs | ) |

protected

Definition at line 52 of file EST_TNamedEnum.cc.

## initialise() [2/4]

template<class ENUM, class VAL, class INFO>

void EST_TValuedEnumI< ENUM, VAL, INFO >::initialise | ( | const void * | defs,
|  | ENUM(* | conv )(const char *) )

protected

Definition at line 73 of file EST_TNamedEnum.cc.

## initialise() [3/4]

template<class ENUM, class VAL, class INFO>

void EST_TValuedEnumI< ENUM, VAL, INFO >::initialise | ( | void |  | ) |

inline protected

Definition at line 93 of file EST_TNamedEnum.h.

## initialise() [4/4]

template<class ENUM, class VAL, class INFO>

void EST_TValuedEnumI< ENUM, VAL, INFO >::initialise | ( | ENUM | unknown_e,
|  | VAL | unknown_v )

inline protected

Definition at line 94 of file EST_TNamedEnum.h.

## n()

template<class ENUM, class VAL, class INFO>

int EST_TValuedEnumI< ENUM, VAL, INFO >::n | ( | void |  | ) | const

Definition at line 118 of file EST_TNamedEnum.cc.

## token() [1/2]

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumI< ENUM, VAL, INFO >::token | ( | VAL | value | ) | const

Definition at line 161 of file EST_TNamedEnum.cc.

## token() [2/2]

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumI< ENUM, VAL, INFO >::token | ( | int | n | ) | const

inline

Definition at line 109 of file EST_TNamedEnum.h.

## nth_token()

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumI< ENUM, VAL, INFO >::nth_token | ( | int | n | ) | const

Definition at line 152 of file EST_TNamedEnum.cc.

## value()

template<class ENUM, class VAL, class INFO>

VAL EST_TValuedEnumI< ENUM, VAL, INFO >::value | ( | ENUM | token,
|  | int | n = 0 ) const

Definition at line 124 of file EST_TNamedEnum.cc.

## info()

template<class ENUM, class VAL, class INFO>

INFO & EST_TValuedEnumI< ENUM, VAL, INFO >::info | ( | ENUM | token | ) | const

Definition at line 136 of file EST_TNamedEnum.cc.

## unknown_enum()

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumI< ENUM, VAL, INFO >::unknown_enum | ( | void |  | ) | const

inline

Definition at line 114 of file EST_TNamedEnum.h.

## unknown_value()

template<class ENUM, class VAL, class INFO>

VAL EST_TValuedEnumI< ENUM, VAL, INFO >::unknown_value | ( | void |  | ) | const

inline

Definition at line 115 of file EST_TNamedEnum.h.

## valid()

template<class ENUM, class VAL, class INFO>

int EST_TValuedEnumI< ENUM, VAL, INFO >::valid | ( | ENUM | token | ) | const

inline

Definition at line 116 of file EST_TNamedEnum.h.

## Member Data Documentation

## ndefinitions

template<class ENUM, class VAL, class INFO>

int EST_TValuedEnumI< ENUM, VAL, INFO >::ndefinitions

protected

Definition at line 83 of file EST_TNamedEnum.h.

## p_unknown_enum

template<class ENUM, class VAL, class INFO>

ENUM EST_TValuedEnumI< ENUM, VAL, INFO >::p_unknown_enum

protected

Definition at line 84 of file EST_TNamedEnum.h.

## p_unknown_value

template<class ENUM, class VAL, class INFO>

VAL EST_TValuedEnumI< ENUM, VAL, INFO >::p_unknown_value

protected

Definition at line 85 of file EST_TNamedEnum.h.

## definitions

template<class ENUM, class VAL, class INFO>

EST_TValuedEnumDefinition<ENUM,VAL,INFO>* EST_TValuedEnumI< ENUM, VAL, INFO >::definitions

protected

Definition at line 86 of file EST_TNamedEnum.h.

The documentation for this class was generated from the following files:

- include/EST_TNamedEnum.h
- base_class/EST_TNamedEnum.cc